public class Menadzer extends Zaposleni
{
	private boolean teren;
	
	public Menadzer(String imeRadnika, boolean teren, boolean bonus)
	{
		super(imeRadnika,bonus);
		this.teren = teren;
	}
	
	@Override
	public void izracunajPlatu(int brSati)
	{
		super.izracunajPlatu(brSati);
		this.plata = super.getPlata()+brSati*150;
		
		if(this.getBonus()) this.plata += 1000;
		if(this.teren) this.plata += 500;
	}
	
	@Override
	public String toString()
	{
		if(this.getBonus()) return this.getImeRadnika() + ":" + "(" + this.getPlata() + ", DA)";
		else return this.getImeRadnika() + ":" + "(" + this.getPlata() + ", NE)";
	}
}
